import type { IRpcApiSubscriptions } from '@solana/rpc-transport';
import { Slot } from '../rpc-methods/common.js';
type RootNotificationsApiNotification = Slot;
export interface RootNotificationsApi extends IRpcApiSubscriptions {
    /**
     * Subscribe to receive notification anytime a new root is set by the validator
     */
    rootNotifications(NO_CONFIG?: Record<string, never>): RootNotificationsApiNotification;
}
export {};
//# sourceMappingURL=root-notifications.d.ts.map